---
title: Changelog for release 0.3.0
layout: default
category: changelog
---

* Streamlined the names of Nikkor, Tamron, Tokina, Panasonic, Leica, Olympus,
  Sony, and Sigma lenses so that auto-detection works better
* Fixed names of Sony Coolpix cameras
* Comprehensive update of Lensfun's documentation
* Lens lists may now be sorted by focal length
* The <cropfactor> tag is now mandatory for <camera> and <lens> in the database files
* Increased accuracy because APS-C is not anymore assumed to have the crop
  factor 1.5 (non-Canon) or 1.6 (Canon), but the accurate crop factor of the
  respective camera
* Added command line tool "lensfun-update-data" for updating the database
* Added command line tool "lensfun-add-adapter" for managing mount compatibilities
* Removed compatibility of Four Third on Micro Four Third
* Removed compatibility of Sony Alpha on Sony E
* Many bugfixes, especially for the case if sensor sizes of calibration and
  image to-be-corrected are different
* MaxAperture is now the maximal f-stop number one can set on the given lens
* Removed non-working implementation of CCI
* Made primary keys of the database tables explicit and documented
* Replaced field-of-view data with real-focal-length data; marked the FOV API
  deprecated
* Higher accuracy for fisheye <--> rectinilear transformation for lenses with
  real focal length data
* The field-of-view distortion model (FOV1) was removed because it is
  inherently flawed
* Simplified method for finding the database directories; see documentation
* Removed old non-CMake build system
* Added new cameras

New interchangeable lenses:

* Canon EF-S 15-85mm f/3.5-5.6 IS USM
* Canon EF 16-35mm f/2.8L II USM
* Canon EF-S 18-55mm f/3.5-5.6 IS
* Canon EF-M 18-55mm f/3.5-5.6 IS STM
* Canon EF-S 18-135mm f/3.5-5.6 IS STM
* Canon EF-S 18-200mm f/3.5-5.6 IS
* Canon EF-M 22mm f/2 STM
* Canon EF 24-70mm f/2.8L II USM
* Canon EF 28-80mm f/3.5-5.6 USM IV
* Canon EF 50mm f/1.8 MkII
* Canon EF 50-200mm f/3.5-4.5L
* Canon EF-S 55-250mm f/4-5.6 IS
* Canon EF 70-300mm f/4-5.6L IS USM
* Cosina Cosinon-S 50mm 1:2
* KMZ MC MTO 11CA mirror tele
* Leica DG Macro-Elmarit 45mm f/2.8
* Mitakon wide MC f=24mm 1:2.8
* 1 Nikkor AW 11-27.5mm f/3.5-5.6
* Nikkor AI-S 6mm f/2.8 Fisheye
* Nikkor AF-S 18-140mm f/3.5-5.6G DX ED VR
* Nikkor AF-S 18-200mm f/3.5-5.6G DX VR IF-ED
* Nikkor AF-S 24-85 mm f/3.5-4.5G ED VR
* Nikkor AI-S 50mm f/1.2
* Nikkor AF-S 50mm f/1.8G
* Nikkor AF-S 55-300mm f/4.5-5.6G DX ED VR
* Nikkor AF-S 70-200mm f/4G VR IF-ED
* Nikkor AF-S 70-300mm f/4.5-5.6G VR IF-ED
* Nikkor AF-S VR 105mm f/2.8G IF-ED
* Nikkor AF-S 600mm f/4G ED VR
* Nikkor AF-S 800mm f/5.6E FL ED VR
* Fujian 35mm f/1.7
* Fujifilm XC 16-50mm f/3.5-5.6 OIS
* Fujifilm XF 18mm f/2 R
* Fujifilm XF 18-55mm f/2.8-4 R LM OIS
* Fujifilm XF 27mm f/2.8
* Fujifilm XF 35mm f/1.4 R
* Fujifilm XC 50-230mm f/4.5-6.7 OIS
* Fujifilm XF 55-200mm f/3.5-4.8 R LM OIS
* Olympus M.9-18mm f/4.0-5.6
* Olympus Zuiko Digital ED 12-60mm f/2.8-4.0 SWD
* Olympus M.Zuiko Digital 25mm f/1.8
* Olympus M.40-150mm f/4.0-5.6 R
* Olympus M.Zuiko Digital ED 75mm f/1.8
* Olympus M.Zuiko Digital 75-300mm f/4.8-6.7 II
* Panasonic Lumix G Vario 7-14mm f/4.0
* Panasonic Lumix G Vario 12-35mm f/2.8
* Panasonic Lumix G Vario 14-42mm f/3.5-5.6 II
* Panasonic Lumix G Vario 14-45mm f/3.5-5.6 Asph. Mega OIS
* Panasonic Lumix G 20mm f/1.7 II
* Panasonic Lumix G Vario 35-100mm f/2.8
* Panasonic Lumix G Vario 45-150mm f/4.0-5.6
* Panasonic Lumix G Vario PZ 45-175mm f/4.0-5.6
* Pentacon 50mm f/1.8 auto multi coating
* Pentax-DA Fish-Eye 10-17mm f/3.5-4.5 ED IF
* Pentax-FA 28mm f/2.8 AL
* Pentax-M 28mm 1:3.5
* Pentax-FA 31mm F1.8 AL Limited
* Pentax-M 35mm 1:2
* Pentax-A 50mm f/1.7
* Pentax-DA L 55-300mm f/4-5.8 ED
* Ricoh XR Rikenon 1:1.4 50mm
* Samyang 8mm f/3.5 Fish-Eye CS
* Samyang T-S 24mm f/3.5 ED AS UMC
* Samsung NX 16-50mm f/3.5-5.6 PZ ED OIS
* Samsung Zoom 18-55mm f/3.5-5.6 OIS
* Samsung NX 20mm f/2.8 Pancake
* Samsung NX 45mm f/1.8 2D/3D
* Samyang 12mm f/2.0 NCS CS
* Samyang 35mm f/1.4 AS UMC
* Samyang 50mm f/1.4 AS UMC (APS-C only)
* Sigma 10mm f/2.8 EX DC Fisheye HSM
* Sigma 18-35mm f/1.8 DC HSM
* Sigma 18-250mm f/3.5-6.3 DC OS MACRO HSM
* Sigma 24-70mm f/2.8 IF EX DG HSM
* Sigma 24-105mm f/4.0 DG OS HSM [A]
* Sigma 17-70mm f/2.8-4 DC Macro OS HSM
* Sigma 19mm f/2.8 DN
* Sigma 19mm f/2.8 EX DN
* Sigma 30mm f/2.8 EX DN
* Sigma 50mm f/1.4 DG HSM [A]
* Sigma 50-150mm f/2.8 APO EX DC HSM II
* Sigma 60mm f/2.8 DN
* Sigma 70-200mm f/2.8 EX DG APO OS HSM
* Sigma 70-200mm f/2.8 EX DG Macro HSM II
* Sigma 80-400mm f/4.5-5.6 EX DG OS
* Sigma 100-300mm f/4 APO EX DG HSM
* Sigma 105mm f/2.8 EX DG OS HSM Macro
* Sigma 180mm f/2.8 EX DG OS HSM APO Macro
* Sigma 180mm f/5.6 APO Macro
* Sony E 10-18mm f/4 OSS
* Sony E 16-70mm f/4 ZA OSS
* Sony E PZ 18-105mm f/4 G OSS
* Sony DT 18-135mm f/3.5-5.6 SAM
* Sony AF DT 35mm f/1.8 SAM
* Sony AF DT 50mm f/1.8 SAM
* Sony DT 55-300mm f/4.5-5.6 SAM
* Tamron SP AF 11-18mm f/4.5-5.6 Di-II LD Aspherical (IF)
* Tamron 16-300mm f/3.5-6.3 Di II VC PZD
* Tamron 18-200mm f/3.5-6.3 XR Di II LD
* Tokina AF 12-28mm f/4 AT-X Pro DX
* Tokina AF 16-28mm f/2.8 AT-X Pro SD FX
* Tokina 500mm f/8 RMC Mirror Lens
* Vivitar 100mm f/3.5 AF Macro
* Carl Zeiss Distagon T* 2,8/21 ZE
* Carl Zeiss Distagon T* 2,8/21 ZF.2
* Zeiss E 32mm f/1.8

New compact cameras:

* Canon PowerShot A640
* Canon PowerShot A720
* Canon PowerShot IXUS 70
* Canon PowerShot S90
* Canon PowerShot S120
* Canon PowerShot SX220 HS
* Canon PowerShot SX230 HS
* Canon PowerShot SX260 HS
* Fujifilm FinePix F770EXR
* Fujifilm FinePix HS20EXR
* Fujifilm FineFix S5600
* Fujifilm X20
* GoPro Hero HD2
* Kodak CX6330
* Nikon Coolpix S3300
* Nokia Lumia 1020
* Olympus Stylus 1
* Panasonic Lumix DMC-LX7
* Panasonic Lumix DMC-FZ200
* Sony DSC-HX300
* Sony RX100 II
* Sony RX100 III

Additional/updated data for:

* Canon EF-S 18-55mm f/3.5-5.6 IS II
* Canon EF 24-70mm f/2.8L II USM
* Canon EF 24-105mm f/4L IS USM
* Canon EF 50mm f/1.8 MkII
* Canon EF 50-200mm f/3.5-4.5L
* Canon EF 70-200mm f/2.8L IS II USM
* Canon EF 70-200mm f/4L IS USM
* Canon EF 85mm f/1.8 USM
* Canon EF 100mm f/2.8L Macro IS USM
* Nikkor AF-S 10-24mm f/3.5-4.5G DX ED
* Nikkor AF-S 16-85mm f/3.5-5.6G DX ED VR
* Nikkor AF-S 18-55mm f/3.5-5.6G DX VR
* Nikkor AF-S 18-105mm f/3.5-5.6G DX ED VR
* Nikkor AF-S 18-200mm f/3.5-5.6G DX VR IF-ED II
* Nikkor AF 20mm f/2.8D
* Nikkor AF-S 35mm f/1.8G DX
* Nikkor AF-S 50mm f/1.4G
* Nikkor AF-S 55-300mm f/4.5-5.6G DX ED VR
* Olympus M.Zuiko Digital ED 14-42mm f/3.5-5.6 L
* Olympus M.Zuiko Digital 17mm f/1.8
* Panasonic Lumix G Vario 45-200mm f/4.0-5.6 Mega OIS
* Pentax 01 Standard Prime 8.5 mm f/1.9 AL [IF]
* Pentax-DA* 16-50mm f/2.8 ED AL IF SDM
* Pentax-DA* 50-135mm f/2.8 ED IF SDM
* Pentax-D FA Macro 100mm f/2.8 WR
* Samyang 8mm f/2.8 Fisheye
* Sigma 8-16mm F4.5-5.6 DC HSM
* Sigma 10-20mm f/3.5 EX DC HSM
* Sigma 10-20mm f/4-5.6 EX DC HSM
* Sigma 15-30mm f/3.5-4.5 EX DG Aspherical
* Sigma 30mm f/1.4 EX DC HSM
* Sigma 35mm f/1.4 DG HSM
* Sigma 50mm f/1.4 EX DG HSM
* Sigma 70-200mm f/2.8 EX DG Macro HSM II
* Sigma 150mm f/2.8 EX DG APO HSM Macro
* Sony RX100
* Sony DT 18-55mm f/3.5-5.6 SAM
* Sony E 20mm f/2.8
* Sony AF DT 55-200mm f/4-5.6 SAM
* Panasonic Lumix G Vario 14-42 f/3.5-5.6 II
* Panasonic Lumix G X Vario PZ 14-42 f/3.5-5.6
* Tamron SP AF 17-50mm f/2.8
